'use strict';

var React = require('react');
var InternalChipDismissible = require('../InternalChipDismissible-cjs.js');
var Chip$1 = require('../Chip-cjs.js');
var Chips = require('../Chips-cjs.js');
require('../useScrollToActive-cjs.js');
require('../_commonjsHelpers-cjs.js');
require('../_baseFlatten-cjs.js');
require('../_getAllKeys-cjs.js');
require('../isTypedArray-cjs.js');
require('../isObjectLike-cjs.js');
require('../isSymbol-cjs.js');
require('../identity-cjs.js');
require('../_getTag-cjs.js');
require('../_baseEach-cjs.js');
require('../_baseFor-cjs.js');
require('../_isIterateeCall-cjs.js');
require('../_setToString-cjs.js');
require('@jobber/hooks');
require('../debounce-cjs.js');
require('../Icon-cjs.js');
require('@jobber/design');
require('../floating-ui.react-cjs.js');
require('../floating-ui.react-dom-cjs.js');
require('react-dom');
require('react/jsx-runtime');
require('../maxHeight-cjs.js');
require('classnames');
require('../Text-cjs.js');
require('../Typography-cjs.js');
require('../Button-cjs.js');
require('react-router-dom');
require('../tslib.es6-cjs.js');
require('../Spinner-cjs.js');
require('../Avatar-cjs.js');
require('color');
require('../useChildComponent-cjs.js');
require('../Tooltip-cjs.js');
require('framer-motion');

/**
 * @deprecated Use Autocomplete with the "multiple" prop instead of ChipDismissible.
 */
function ChipDismissible({ label, disabled, invalid, prefix, onClick, onRequestRemove, }) {
    return (React.createElement(InternalChipDismissible.InternalChip, { label: label, disabled: disabled, invalid: invalid, prefix: prefix, onClick: onClick, suffix: React.createElement(Chip$1.InternalChipButton, { icon: "remove", label: label, invalid: invalid, disabled: disabled, onClick: onRequestRemove }) }));
}

// Only need the component to pass in the data as a react children
// eslint-disable-next-line @typescript-eslint/no-unused-vars
function Chip(props) {
    //eslint-disable-next-line react/jsx-no-useless-fragment
    return React.createElement(React.Fragment, null);
}

exports.Chips = Chips.Chips;
exports.Chip = Chip;
exports.ChipDismissible = ChipDismissible;
